
%define rel 1

Name:       filelight
Summary:    Graphical disk usage statistics
Version: 	16.04.2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://utils.kde.org/projects/filelight/
Source0:    http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz

#general buildrequires
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires: %{_lib}qt5websockets5-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xcbqpa-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}qt5xmlpatterns5-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel

BuildRequires: kf5-macros
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: solid-devel
BuildRequires: kxmlgui-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl



%description
Filelight allows you to quickly understand exactly where your
diskspace is being used by graphically representing your file
system as a set of concentric segmented-rings. You can use it
to locate hotspots of disk usage and then manipulate those
areas using a file manager.

%files
%_kf5_bindir/filelight
%_sysconfdir/xdg/filelightrc
%_qt5_plugindir/filelightpart.so
%_kf5_datadir/applications/org.kde.filelight.desktop
%_iconsdir/*/*/*/*.png
%_kf5_datadir/kxmlgui5/filelight
%_kf5_datadir/kxmlgui5/filelightpart
%_kf5_iconsdir/*/*/apps/filelight.*
%_kf5_services/filelightpart.desktop

#------------------------------------------------------------------------------

%package -n filelight-handbook
Summary: Filelight handbook
BuildArch: noarch
Group: Documentation

%description -n filelight-handbook
This package provides filelight handbook.

%files -n filelight-handbook
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/en/filelight/

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export LD=/usr/bin/ld.gold
%cmake_kf5

%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

